package com.mvc.entity;

public class TDynamicrouteMeta {
    private Integer id;

    private String icon;

    private String title;

    private String islink;

    private Integer ishide;

    private Integer isfull;

    private Integer isaffix;

    private Integer iskeepalive;

    private Integer iscxac;

    private Integer routerId;

    private String allowUnitTypes;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon == null ? null : icon.trim();
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getIslink() {
        return islink;
    }

    public void setIslink(String islink) {
        this.islink = islink == null ? null : islink.trim();
    }

    public Integer getIshide() {
        return ishide;
    }

    public void setIshide(Integer ishide) {
        this.ishide = ishide;
    }

    public Integer getIsfull() {
        return isfull;
    }

    public void setIsfull(Integer isfull) {
        this.isfull = isfull;
    }

    public Integer getIsaffix() {
        return isaffix;
    }

    public void setIsaffix(Integer isaffix) {
        this.isaffix = isaffix;
    }

    public Integer getIskeepalive() {
        return iskeepalive;
    }

    public void setIskeepalive(Integer iskeepalive) {
        this.iskeepalive = iskeepalive;
    }

    public Integer getIscxac() {
        return iscxac;
    }

    public void setIscxac(Integer iscxac) {
        this.iscxac = iscxac;
    }

    public Integer getRouterId() {
        return routerId;
    }

    public void setRouterId(Integer routerId) {
        this.routerId = routerId;
    }

    public String getAllowUnitTypes() {
        return allowUnitTypes;
    }

    public void setAllowUnitTypes(String allowUnitTypes) {
        this.allowUnitTypes = allowUnitTypes == null ? null : allowUnitTypes.trim();
    }
}